AttributeInfo (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.modeler.AttributeInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.modeler
Class AttributeInfo

    java.lang.Object
      org.apache.tomcat.util.modeler.FeatureInfo
          org.apache.tomcat.util.modeler.AttributeInfo

All Implemented Interfaces:
  java.io.Serializable

    public class AttributeInfo

extends FeatureInfo
implements java.io.Serializable

Internal configuration information for an `Attribute` descriptor.

Author:
  Craig R. McClanahan
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `displayName`
`protected java.lang.String` | `getMethod`
`protected boolean` | `is`
`protected boolean` | `readable`
`protected java.lang.String` | `setMethod`
`protected boolean` | `writeable`

Fields inherited from class org.apache.tomcat.util.modeler.FeatureInfo
`description, info, name, type`

Constructor Summary
`AttributeInfo()`

Method Summary
`java.lang.String` | `getDisplayName()` The display name of this attribute.
`java.lang.String` | `getGetMethod()` The name of the property getter method, if non-standard.
`java.lang.String` | `getSetMethod()` The name of the property setter method, if non-standard.
`boolean` | `isIs()` Is this a boolean attribute with an "is" getter?
`boolean` | `isReadable()` Is this attribute readable by management applications?
`boolean` | `isWriteable()` Is this attribute writeable by management applications?
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setGetMethod(java.lang.String getMethod)`
`void` | `setIs(boolean is)`
`void` | `setReadable(boolean readable)`
`void` | `setSetMethod(java.lang.String setMethod)`
`void` | `setWriteable(boolean writeable)`

Methods inherited from class org.apache.tomcat.util.modeler.FeatureInfo
`getDescription, getName, getType, setDescription, setName, setType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### displayName

    protected java.lang.String displayName

### getMethod

    protected java.lang.String getMethod

### setMethod

    protected java.lang.String setMethod

### readable

    protected boolean readable

### writeable

    protected boolean writeable

### is

    protected boolean is

Constructor Detail

### AttributeInfo

    public AttributeInfo()

Method Detail

### getDisplayName

    public java.lang.String getDisplayName()

  The display name of this attribute.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

### getGetMethod

    public java.lang.String getGetMethod()

  The name of the property getter method, if non-standard.

### setGetMethod

    public void setGetMethod(java.lang.String getMethod)

### isIs

    public boolean isIs()

  Is this a boolean attribute with an "is" getter?

### setIs

    public void setIs(boolean is)

### isReadable

    public boolean isReadable()

  Is this attribute readable by management applications?

### setReadable

    public void setReadable(boolean readable)

### getSetMethod

    public java.lang.String getSetMethod()

  The name of the property setter method, if non-standard.

### setSetMethod

    public void setSetMethod(java.lang.String setMethod)

### isWriteable

    public boolean isWriteable()

  Is this attribute writeable by management applications?

### setWriteable

    public void setWriteable(boolean writeable)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.